#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.1.0
visibility:           public
id:                   ghcide-1.9.1.0-6LjNtXxEsFjP6FTRfnjBs
key:                  ghcide-1.9.1.0-6LjNtXxEsFjP6FTRfnjBs
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  fa67d5cf35b2ad52a432a28e80d4aefd
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.1.0-6LjNtXxEsFjP6FTRfnjBs
depends:
    Diff-0.4.1-ALJ5CXPkOAPL1zFSBdm3SJ
    Glob-0.10.2-2e6LoRignBm1Tf7tpLxL4a
    aeson-2.1.2.1-C2lvYQBBKZqBmgtqDyQIib
    aeson-pretty-0.8.9-JeHGLIwvrP38s23qsGHi9J array-0.5.4.0
    async-2.2.5-CixST7EyOy65rLGgPha7A3 base-4.15.1.0
    base16-bytestring-1.0.2.0-K2iBTo1iZcTF38UF7fHiGD binary-0.8.8.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-AjNclo4vu521MOLXCrnxYD
    co-log-core-0.3.2.1-4JWFK1IRh8H9QFgqhm2G10 containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-IPNOtUkBWEDC1xP3EGiENx
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv deepseq-1.4.5.0
    dependent-map-0.4.0.0-Itt5yv9VY8yFVkoVRaK1Sr
    dependent-sum-0.7.2.0-IsJaggzhOFJGlt4p3xT1b8 directory-1.3.6.2
    dlist-1.0-Ge5E4TM9DngAWe8aSUgFvB
    enummapset-0.7.2.0-21whoKRfz118HBH9ArAPIr exceptions-0.10.4
    extra-1.7.14-DtzIfRYPdKwKG7ww90MJHk filepath-1.4.2.1
    fingertree-0.1.5.0-3fK7ndAWbY57wHlKT84Jwg
    focus-1.0.3.2-D5SPk4UVGx2F1Z82JrAdwZ ghc-9.0.2 ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-Jb8f2xebmz616U0Tjg5Zdg
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.8-7n0ZwS1ihVL9LrxCN0t2lk
    haddock-library-1.11.0-51sqHdUK9I6wptjhI1zhi
    hashable-1.4.3.0-JNIl3QAmQdVCUYfpxV7wfJ
    hie-bios-0.11.0-1lnhQwnFi2oBUSbpfBclMo
    hie-compat-0.3.0.0-HtRpwVRm0jbBmBGDkwMYdm
    hiedb-0.4.2.0-8RGo9VqGDUc8pE8jnChDGe
    hls-graph-1.9.0.0-FjV8ksL6GzrEljboHSS9Eq
    hls-plugin-api-1.6.0.0-AMyEr3ncypu50jLRT7GrE2
    hslogger-1.3.1.0-KlSP7asGEcB30VVh4umCVq
    implicit-hie-0.1.2.7-99aYOl0p1VlIri2oT9DOhx
    implicit-hie-cradle-0.5.0.1-54TaKssxr8LCpFxxB3lBKU
    lens-5.2.3-Fb2iV9hhvDiI9S0zVfKi3i
    list-t-1.0.5.4-DMPTpOPo8YeJrKNQddDZJa
    lsp-1.6.0.0-A16Z9QgFStqCp41XDJvaIy
    lsp-types-1.6.0.0-LMVMp9mumPmBVlZr9rdThy mtl-2.2.2
    opentelemetry-0.8.0-nAYoKqL9PWHlNsD7XQSEw
    optparse-applicative-0.17.1.0-AxEI8mDLbJi7Q5pwqU28ta
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-CtNvMFFYlbOL2GzmBKSXtx
    prettyprinter-ansi-terminal-1.1.3-IQiVN2JqLJ4IVgpzPdNJgK
    random-1.2.1.1-IvJyCZOiT9MCISTYBmDLQY
    regex-tdfa-1.3.2.2-I0UrgtK2N0gKpXS2O34Vp5
    safe-exceptions-0.1.7.4-D0zH5KUZyLxCUOHT1L0lk5
    sorted-list-0.2.2.0-D9QYJgDLHOuEDdyRfWfNE6
    sqlite-simple-0.4.19.0-K5bZSnjPoALCYwIpOgdL6d stm-2.5.0.0
    stm-containers-1.2.0.3-7MoD3bIAfiq1DdVLsOaXA9
    syb-0.7.2.4-CrXKYIWYt0k5oYW5xy7ynG text-1.2.5.0
    text-rope-0.2-9FAjM9srnWjDpeNrHBiAzj time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-hbDzkDhXgs3ijxQg1J2HF
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.20-JUpj03e9UBE4KYc3X7i8JW
    vector-0.13.1.0-EeG9oFm4RPx9bHWOkj59Bl

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

